org.apache.ignite.internal.processors.igfs

## Class IgfsFragmentizerManager

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsManager
  - - org.apache.ignite.internal.processors.igfs.IgfsFragmentizerManager

    public class IgfsFragmentizerManager
    extends IgfsManager

IGFS fragmentizer manager.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.igfs.IgfsManager

`igfsCtx, log`

### Constructor Summary

Constructors
Constructor and Description
`IgfsFragmentizerManager()`

### Method Summary

Methods
`protected void` `onKernalStart0()`
`protected void` `onKernalStop0(boolean cancel)`
`protected void` `start0()` Start manager implementation.

### Methods inherited from class org.apache.ignite.internal.processors.igfs.IgfsManager

`kernalStartInfo, kernalStopInfo, onKernalStart, onKernalStop, start, startInfo, stop, stop0, stopInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsFragmentizerManager

    public IgfsFragmentizerManager()

### Method Detail

#### start0

    protected void start0()
                   throws IgniteCheckedException

Start manager implementation.

Overrides:
  `start0` in class `IgfsManager`
Throws:
  `IgniteCheckedException`

#### onKernalStart0

    protected void onKernalStart0()
                           throws IgniteCheckedException

Overrides:
  `onKernalStart0` in class `IgfsManager`
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

Overrides:
  `onKernalStop0` in class `IgfsManager`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015